Package com.google.android.exoplayer2.testutil.truth

## Interface SpannedSubject.RubyText

- Enclosing class:
    SpannedSubject

      public static interface SpannedSubject.RubyText

  Allows assertions about a span's ruby text and its position.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `SpannedSubject.AndSpanFlags` | `withTextAndPosition​(String text, @com.google.android.exoplayer2.text.span.TextAnnotation.Position int position)` | Checks that at least one of the matched spans has the expected `text`.

- - ### Method Detail

    - #### withTextAndPosition

          SpannedSubject.AndSpanFlags withTextAndPosition​(String text,
                                                          @com.google.android.exoplayer2.text.span.TextAnnotation.Position int position)

      Checks that at least one of the matched spans has the expected `text`.
      Parameters:
        `text` - The expected text.
        `position` - The expected position of the text.
      Returns:
        A `SpannedSubject.WithSpanFlags` object for optional additional assertions on the flags.